> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.twelvelabs.io/v1.3/api-reference/entities/list-entities-by-asset/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.twelvelabs.io/_mcp/server. # List entities for an asset GET https://api.twelvelabs.io/v1.3/assets/{asset_id}/entities This method returns a list of entities whose [`asset_ids`](/v1.3/api-reference/entities/entity-collections/entities/retrieve#response.body.asset_ids) array contains the specified asset. Reference: https://docs.twelvelabs.io/api-reference/entities/list-entities-by-asset ## Authentication - `x-api-key` header (required) — Your API key. You can find your API key on the API Keys page. ## Request ### Path parameters - `asset_id` (string, required) — The unique identifier of the asset. ### Query parameters - `page` (integer, optional, default: 1) — A number that identifies the page to retrieve. **Default**: `1`. - `page_limit` (integer, optional, default: 10) — The number of items to return on each page. **Default**: `10`. **Max**: `50`. ## Response ### 200 The entities have been successfully retrieved. - `data` (list of Entity, optional) — A list of entities that reference the specified asset. - `page_info` (page_info, optional) — An object that provides information about pagination. ## Errors ### 400 Bad Request Error The request has failed. - `code` (string, optional) — A string representing the code associated with the error. See the [Error codes](/v1.3/api-reference/error-codes) page for details. - `message` (string, optional) — A human-readable string describing the error, intended to be suitable for display in a user interface. ## Types ### Entity An object that represents an entity with associated assets. - `_id` (string, optional) — The unique identifier of the entity. - `entity_collection_id` (string, optional) — The unique identifier of the entity collection this entity belongs to. - `name` (string, optional) — The name of the entity. - `description` (string, optional) — A description of the entity. - `metadata` (EntityMetadata, optional) — Custom metadata for the entity. - `asset_ids` (list of string, optional) — An array of asset IDs associated with the entity. - `status` (enum, optional) — The current status of the entity creation process. **Values**: - `processing`: The entity is being processed and is not yet ready for use in searches. - `ready`: The entity is fully processed and can be used in search queries. - Allowed values: `processing`, `ready` - `created_at` (string, optional) — The date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the entity was created. - `updated_at` (string, optional) — The date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the entity was last updated. ### page_info An object that provides information about pagination. - `limit_per_page` (integer, optional) — The maximum number of items on each page. - `page` (integer, optional) — The page you retrieved. - `total_page` (integer, optional) — The total number of pages. - `total_results` (integer, optional) — The total number of results. ### EntityMetadata Custom metadata for the entity. ## Examples **Response** ```json { "data": [ { "_id": "6298d673f1090f1100476d4c", "entity_collection_id": "7309e784f2191g2211587e5d", "name": "John Doe", "description": "Famous soccer player", "metadata": { "sport": "soccer", "team": "Team A", "role": "forward" }, "asset_ids": [ "6298d673f1090f1100476d4c", "6298d673f1090f1100476d4d" ], "status": "ready", "created_at": "2022-06-02T10:30:00Z", "updated_at": "2022-06-02T10:30:00Z" } ], "page_info": { "limit_per_page": 10, "page": 1, "total_page": 1, "total_results": 2 } } ``` **SDK Code** ```python import requests url = "https://api.twelvelabs.io/v1.3/assets/6298d673f1090f1100476d4c/entities" headers = {"x-api-key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.twelvelabs.io/v1.3/assets/6298d673f1090f1100476d4c/entities'; const options = {method: 'GET', headers: {'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.twelvelabs.io/v1.3/assets/6298d673f1090f1100476d4c/entities" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.twelvelabs.io/v1.3/assets/6298d673f1090f1100476d4c/entities") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.twelvelabs.io/v1.3/assets/6298d673f1090f1100476d4c/entities") .header("x-api-key", "") .asString(); ``` ```php request('GET', 'https://api.twelvelabs.io/v1.3/assets/6298d673f1090f1100476d4c/entities', [ 'headers' => [ 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.twelvelabs.io/v1.3/assets/6298d673f1090f1100476d4c/entities"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["x-api-key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.twelvelabs.io/v1.3/assets/6298d673f1090f1100476d4c/entities")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```